package lrs.visitor;

import logic.*;



// Defines an interface for comparable objects.



public interface IComparable

{

    public abstract IBoolean compare(IComparable x);

    

    // not really necessary, but makes life a little easier.

    public abstract IBoolean equals(IComparable x);

    

}

